nx_metadata_sdk 1.0 Metadata SDK

Public Member Functions | Static Public Member Functions | List of all members
nx::sdk::ref_countable_ut::NewInterface Class Referenceabstract
Inheritance diagram for nx::sdk::ref_countable_ut::NewInterface:

## Public Member Functions
virtual IRefCountable * | queryInterface (const InterfaceId *id) override
virtual const char * | interfaceIdForTest () const
virtual int | refCountForTest () const =0
Public Member Functions inherited from nx::sdk::Interface< NewInterface >
virtual IRefCountable * | queryInterface (const InterfaceId *id)
Ptr< Interface > | queryInterface ()
Ptr< const Interface > | queryInterface () const
Public Member Functions inherited from nx::sdk::IRefCountable
virtual | ~IRefCountable ()=default
template<class Interface >
Ptr< Interface > | queryInterface ()
template<class Interface >
Ptr< const Interface > | queryInterface () const
virtual int | addRef () const =0
virtual int | releaseRef () const =0
int | refCountThreadUnsafe () const

## Static Public Member Functions
static auto | interfaceId ()
Static Public Member Functions inherited from nx::sdk::IRefCountable
static auto | interfaceId ()

## Additional Inherited Members
Protected Member Functions inherited from nx::sdk::Interface< NewInterface >
IRefCountable * | queryInterfaceSupportingDeprecatedId (const IRefCountable::InterfaceId *id, const Uuid &deprecatedInterfaceId)
Static Protected Member Functions inherited from nx::sdk::IRefCountable
template<int len>
static constexpr const InterfaceId * | makeId (const char(&charArray)[len])
template<class TemplateInstance , class TemplateArg , int len>
static const InterfaceId * | makeIdForTemplate (const char(&baseIdCharArray)[len])

## Detailed Description

Mock for a base interface from the new SDK - used for compatibility testing. Supports old interface id in its queryInterface() in addition to the new interface id.

## Member Function Documentation

## ◆ interfaceIdForTest()

virtual const char* nx::sdk::ref_countable_ut::NewInterface::interfaceIdForTest | ( |  | ) | const
| inline virtual

VMT #4 - added for tests; couples with the same method of OldInterface.

## ◆ queryInterface()

virtual IRefCountable* nx::sdk::ref_countable_ut::NewInterface::queryInterface | ( | const InterfaceId * | id | ) |
| inline override virtual

Support for old SDK interface id.

Reimplemented from nx::sdk::Interface< NewInterface >.

## ◆ refCountForTest()

virtual int nx::sdk::ref_countable_ut::NewInterface::refCountForTest | ( |  | ) | const
| pure virtual

VMT #5 - added for tests; couples with the same method of OldInterface.

The documentation for this class was generated from the following file:

- unit_tests/src/ref_countable_ut.cpp